###################
# Required Variables
###################

variable "cluster_name" {
  description = "The name of the EKS Cluster"
  type        = string
}

###################
# Optional Variables
###################

variable "node_role_name" {
  description = "The name of the EKS Cluster Node role"
  default     = null
  type        = string
}

variable "additional_node_policies" {
  description = "A map of keys to ARNs of additional polices to attach to the node role.  Matching keys in this list will override the value in the default_node_policies variable."
  default     = {}
  type        = map(string)
}

variable "default_node_policies" {
  description = "A map of keys to ARNs of default polices to attach to the node role"
  default = {
    "AmazonEKS_CNI_Policy" : "arn:aws:iam::aws:policy/AmazonEKS_CNI_Policy"
    "AmazonEC2ContainerRegistryReadOnly" : "arn:aws:iam::aws:policy/AmazonEC2ContainerRegistryReadOnly"
    "AmazonEKSWorkerNodePolicy" : "arn:aws:iam::aws:policy/AmazonEKSWorkerNodePolicy"
    "AmazonSSMManagedInstanceCore" : "arn:aws:iam::aws:policy/AmazonSSMManagedInstanceCore"
  }
  type = map(string)
}

variable "tags" {
  description = "A map of tags to add to resources"
  default     = null
  type        = map(string)
}
